Clinia
RegistryBulk

Bulk create, upsert, or delete resources

POST
/sources/{sourceKey}/v1/resources/bulk

Bulk create, upsert, or delete resources. The request body should contain a list of operations. All operations will be processed even if some of them fail.

X-Clinia-API-Key<token>

In: header

Path Parameters

sourceKey*string

The source key.

Request Body

application/json

The request body should contain a list of resources to create, upsert, or delete. Operations of different types (e.g., "CREATE", "UPSERT") can be mixed and will be processed in the order they are provided.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/sources/string/v1/resources/bulk" \  -H "Content-Type: application/json" \  -d '{    "operations": [      {        "action": "CREATE",        "create": {          "type": "string",          "data": {}        }      }    ]  }'
{  "taskId": "string",  "status": "ACCEPTED"}